### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
FuturesConvAdjustmentQuote Class Reference

quote for the futures-convexity adjustment of an index More...

`#include <ql/quotes/futuresconvadjustmentquote.hpp>`

Inheritance diagram for FuturesConvAdjustmentQuote:
[legend]

List of all members.

## Public Member Functions

| FuturesConvAdjustmentQuote (const boost::shared_ptr< IborIndex > &index, const Date &futuresDate, const Handle< Quote > &futuresQuote, const Handle< Quote > &volatility, const Handle< Quote > &meanReversion)
| FuturesConvAdjustmentQuote (const boost::shared_ptr< IborIndex > &index, const std::string &immCode, const Handle< Quote > &futuresQuote, const Handle< Quote > &volatility, const Handle< Quote > &meanReversion)
void | update ()
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Inspectors
Real | futuresValue () const
Real | volatility () const
Real | meanReversion () const
Date | immDate () const

## Protected Attributes

DayCounter | dc_
const Date | futuresDate_
const Date | indexMaturityDate_
Handle< Quote > | futuresQuote_
Handle< Quote > | volatility_
Handle< Quote > | meanReversion_

## Detailed Description

quote for the futures-convexity adjustment of an index

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.